<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8">
  <title>Forms Task 1</title>
  <script>
    /*
      Задание:
        Сделать валидацию формы:
        1. Логин / Пароль не может быть пустым
        2. Пароли должны совпадть
        3. Пока не стоит что юзер согласен с лиц. соглашением - кнопка отправки не активна

        + бонус - то поле, которое не прошло валидацию подсвечивать красным.
                - которое прошло - подсвечивать зеленым.
    */

    window.addEventListener('DOMContentLoaded', init);
    function init () {
      let agree = document.getElementById('agree');
      let form = document.getElementById('MyValidateForm');
      let submit = document.getElementById('submit');

      agree.addEventListener('change', function (e) {
        if (e.target.checked) {
          submit.disabled = false;
          form.addEventListener('submit', validate);
        } else {
          submit.disabled = true;
          form.removeEventListener('submit', validate);
        }
      });
    }

    function validate (e) {
      let form = document.getElementById('MyValidateForm');

      let loginValid = notEmpty(form.elements.login);
      let pas1Entered = notEmpty(form.elements.pas1);
      let pas2Entered = notEmpty(form.elements.pas2);
      let pasEntered = pas1Entered && pas2Entered;
      let passEqual = false;
      if (pasEntered && form.elements.pas1.value === form.elements.pas2.value) {
        passEqual = true;
        toggleVisualClass(form.elements.pas1, 'OK');
        toggleVisualClass(form.elements.pas2, 'OK');
      } else {
        toggleVisualClass(form.elements.pas1, 'error');
        toggleVisualClass(form.elements.pas2, 'error');
      }

      let isValid = (loginValid && passEqual);
      if (!isValid) {
        e.preventDefault();
      }
    }

    function notEmpty(element) {
      if (element.value) {
        toggleVisualClass(element, 'OK');
        return true;
      } else {
        toggleVisualClass(element, 'error');
        return false;
      }
    }

    function toggleVisualClass(element, status) {
      if (status === 'OK') {
        element.classList.remove('error');
        element.classList.add('OK');
      } else {
        element.classList.remove('OK');
        element.classList.add('error');
      }
    }
  </script>
</head>
<body>
  <form id="MyValidateForm">
    <input type="text" name='login' placeholder="Ваш логин" />
    <input type="password" name='pas1' placeholder="Ваш пароль" />
    <input type="password" name='pas2' placeholder="Повторите пароль" />
    <label for="agree">
      <span>Вы согласны с лицензионым соглашением.</span>
      <input type="checkbox" id="agree" />
    </label>
    <input type="submit" id="submit" value="Отправить" disabled/>
  </form>

  <style>
    #MyValidateForm{
      width: 350px;
      display: flex;
      flex-direction: column;
    }

    #MyValidateForm input{
      margin-bottom: 10px;
      box-sizing: border-box;
      padding: 10px 20px;
    }
    .error{
        border: 1px solid red;
    }
    .OK{
        border: 1px solid green;
    }
  </style>
</body>
</html>
